## EConfigLookupResultSimple

EConfigLookupResultSimple — An implementation of configuration lookup result interface

## Functions

EConfigLookupResult * | e_config_lookup_result_simple_new ()
void | e_config_lookup_result_simple_add_value ()
void | e_config_lookup_result_simple_add_boolean ()
void | e_config_lookup_result_simple_add_int ()
void | e_config_lookup_result_simple_add_uint ()
void | e_config_lookup_result_simple_add_int64 ()
void | e_config_lookup_result_simple_add_uint64 ()
void | e_config_lookup_result_simple_add_double ()
void | e_config_lookup_result_simple_add_string ()
void | e_config_lookup_result_simple_add_enum ()

## Properties

char * | description | Read / Write / Construct Only
char * | display-name | Read / Write / Construct Only
gboolean | is-complete | Read / Write / Construct Only
EConfigLookupResultKind | kind | Read / Write / Construct Only
char * | password | Read / Write / Construct Only
int | priority | Read / Write / Construct Only
char * | protocol | Read / Write / Construct Only

## Types and Values

struct | EConfigLookupResultSimple

## Object Hierarchy

        GObject
        ╰── EConfigLookupResultSimple

## Implemented Interfaces

EConfigLookupResultSimple implements

## Includes

    #include <e-util/e-util.h>

## Description

EConfigLookupResultSimple is a simple implementation of the EConfigLookupResult interface.

Respective configuration changes are added with `e_config_lookup_result_simple_add_value()`, then they are saved into the ESource in `EConfigLookupResultInterface.configure_sources()` call. This does the default implementation of `EConfigLookupResultSimpleClass.configure_sources()`, which any descendants can override, if needed.

## Functions

### e_config_lookup_result_simple_new ()

    EConfigLookupResult *
    e_config_lookup_result_simple_new (EConfigLookupResultKind kind,
                                       gint priority,
                                       gboolean is_complete,
                                       const gchar *protocol,
                                       const gchar *display_name,
                                       const gchar *description,
                                       const gchar *password);

Creates a new EConfigLookupResultSimple instance with prefilled values.

#### Parameters

kind | a kind of the result, one of EConfigLookupResultKind |
priority | a priority of the result |
is_complete | whether the result is complete |
protocol | protocol name of the result, or `NULL`. | [nullable]
display_name | display name of the result |
description | description of the result |
password | password to store with the result. | [nullable]

#### Returns

an EConfigLookupResultSimple.

[transfer full]

Since: 3.26

### e_config_lookup_result_simple_add_value ()

    void
    e_config_lookup_result_simple_add_value
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    const GValue *value);

Adds a value to be stored into an ESource when `e_config_lookup_result_configure_source()`. is called. The `value` is identified as a property named `property_name` in an extension named `extension_name` , or in the ESource itself, when `extension_name` is `NULL`.

In case multiple values are stored for the same extension and property, then the first is saved.

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to be set |

Since: 3.26

### e_config_lookup_result_simple_add_boolean ()

    void
    e_config_lookup_result_simple_add_boolean
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    gboolean value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_int ()

    void
    e_config_lookup_result_simple_add_int (EConfigLookupResult *lookup_result,
                                           const gchar *extension_name,
                                           const gchar *property_name,
                                           gint value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_uint ()

    void
    e_config_lookup_result_simple_add_uint
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    guint value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_int64 ()

    void
    e_config_lookup_result_simple_add_int64
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    gint64 value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_uint64 ()

    void
    e_config_lookup_result_simple_add_uint64
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    guint64 value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_double ()

    void
    e_config_lookup_result_simple_add_double
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    gdouble value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_string ()

    void
    e_config_lookup_result_simple_add_string
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    const gchar *value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
value | value to set |

Since: 3.26

### e_config_lookup_result_simple_add_enum ()

    void
    e_config_lookup_result_simple_add_enum
                                   (EConfigLookupResult *lookup_result,
                                    const gchar *extension_name,
                                    const gchar *property_name,
                                    GType enum_type,
                                    gint value);

Calls `e_config_lookup_result_simple_add_value()` with a GValue initialized to `value` .

#### Parameters

lookup_result | an EConfigLookupResultSimple |
extension_name | extension name, or `NULL`, to change property of the ESource itself. | [nullable]
property_name | property name within the extension |
enum_type | a GType of the enum |
value | value to set |

Since: 3.26

## Types and Values

### struct EConfigLookupResultSimple

    struct EConfigLookupResultSimple;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.26

## Property Details

### The `“description”` property

      “description”              char *

The description for the EConfigLookupResult.

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: NULL

Since: 3.26

### The `“display-name”` property

      “display-name”             char *

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: NULL

### The `“is-complete”` property

      “is-complete”              gboolean

Whether the EConfigLookupResult is complete, that is, whether it doesn't require any further user interaction.

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: FALSE

Since: 3.26

### The `“kind”` property

      “kind”                     EConfigLookupResultKind

The kind for the EConfigLookupResult.

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: E_CONFIG_LOOKUP_RESULT_UNKNOWN

Since: 3.26

### The `“password”` property

      “password”                 char *

The password to store for the EConfigLookupResult. Can be `NULL`, to not store any.

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: NULL

Since: 3.28

### The `“priority”` property

      “priority”                 int

The priority for the EConfigLookupResult. Lower value means higher priority.

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: -1

Since: 3.26

### The `“protocol”` property

      “protocol”                 char *

The protocol name for the EConfigLookupResult.

Owner: EConfigLookupResultSimple

Flags: Read / Write / Construct Only

Default value: NULL

Since: 3.26